.heading-frame {
	background-image: linear-gradient(0deg, rgba(8, 3, 22, 0.80) 0%, rgba(8, 3, 22, 0.80) 100%), url(/Images/nystudent.jpg);
	background-position: 100% 20%;
}

.heading-card {
	padding: 4rem clamp(1rem, 10vw, 8rem) 10rem clamp(1rem, 10vw, 8rem);
	max-width: 80%;
}

.heading-card-content > h1 {
	white-space: nowrap;
}

.heading-card-content > h2 {
	color: var(--lt-blue);
	font-size: clamp(5px, 2vw, 20px);
}

.checklist-container {
	display: flex;
	flex-direction: column;
}

.checklist-container h3 {
	font-size: 30px;
	color: var(--lt-blue);
}

.collapsible-item {
	display: flex;
    flex-direction: column;
	height: auto;
    border-bottom: 1px solid var(--border-blue);
    cursor: pointer;
}

.collapsible-active {
	display: flex;
    justify-content: space-between;
	height: auto;
	transform-origin: top;
}

.collapsible-active div {
	display: flex;
	flex-direction: row;
	align-items: center;
	column-gap: 2em;
}

.collapsible-active img {
	filter: invert(100%);
	width: 2rem;
}

.active img {
	transform: rotate(180deg);
}

.collapsible-content {
	position: relative;
	display: grid;
	grid-template-columns: auto 1fr;
	grid-template-rows: auto;
	gap: 4rem;
	max-width: 100%;
	cursor: auto;
	overflow: hidden;
	padding-bottom: 0;
    max-height: 0;
    transition: max-height 0.3s ease-out;
}

.checkbox-container {
    flex: 0 0 35px;
    display: block;
	position: relative;
    place-items: center;
    font-size: 1.25rem;
    height: 35px;
    width: 35px;
	align-self: center;
	cursor: pointer;
	border: 2px solid var(--lt-blue);
	border-radius: 5px;
	background-color: var(--dark-purple);
	font-size: 22px;
	user-select: none;
}

.checkbox-container input {
	position: absolute;
	top: 0;
	left: 0;
	opacity: 0;
	cursor: pointer;
	height: 0;
	width: 0;
	border-radius: 3px;
}

.checkmark {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background-color: transparent;
	display: flex;
	align-items: center;
	justify-content: center;
}

.checkbox-container input:hover ~ .checkmark {
	background-color: var(--purple);
	border-radius: 3px;
}

.checkbox-container input:after {
	position: absolute;
	display: none;
}

.checkbox-container input:checked ~ .checkmark:after {
	content: "";
	display: block;
}

.container .checkmark:after {
	position: relative;
	left: 0;
	top: -2px;
	width: 9px;
	height: 19px;
	border: solid white;
	border-width: 0 4px 4px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}

.collapsible-content img {
	width: 60vw;
	height: 30vh;
	object-fit: cover;
	border-radius: 7px;
}

.text-link {
	margin: 0;
	text-decoration: underline;
}


@media only screen and (max-width: 750px) {
	.heading-card {
		padding: 5rem clamp(1rem, 10vw, 8rem) 8rem clamp(1rem, 10vw, 8rem);
		height: auto;
		max-width: 100%;
		align-items: center;
		justify-content: center;
	}

	.heading-card-content {text-align: center;}

	.heading-card-content > h2 {font-size: clamp(1em, 4vw, 1.5em);}

	.collapsible-content {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr;
	}
}